#include <QApplication>
#include <QtWidgets>
#include <QMouseEvent>


class  myMainWindow:public QMainWindow
{
public:
    myMainWindow(): QMainWindow()
    {
        //setMask((new QPixmap("straw.gif"))->mask().createHeuristicMask());

        setMask((new QPixmap("straw.gif"))->mask());

        QPalette palette;// = new QPalette();
        palette.setBrush(QPalette::Background,
                          QBrush(QPixmap("straw.gif")));
        setPalette(palette);

        setWindowFlags(Qt::FramelessWindowHint);
        QWidget *centralWidget = new QWidget(this);
        QVBoxLayout *layout = new QVBoxLayout();

        centralWidget->setLayout(layout);

        QLabel* lbl = new QLabel("ROMANIA");


        layout->addWidget(lbl);

        setCentralWidget(centralWidget);

        QAction *quitAction = new QAction(tr("E&xit"), this);
        quitAction->setShortcut(tr("Ctrl+Q"));
        connect(quitAction, SIGNAL(triggered()), qApp, SLOT(quit()));
        addAction(quitAction);

        setContextMenuPolicy(Qt::ActionsContextMenu);
        setToolTip(tr("Trage forma cu click stanga.\n"
                      "Click dreapta pentru meniu de context."));
        setGeometry(200, 200, 700, 900);
    };

    void mousePressEvent(QMouseEvent *event)
    {
        if (event->button() == Qt::LeftButton) {
            dragPosition = event->globalPos() - frameGeometry().topLeft();
            event->accept();
        }
    }
    void mouseMoveEvent(QMouseEvent *event)
    {
        if (event->buttons() & Qt::LeftButton) {
            move(event->globalPos() - dragPosition);
            event->accept();
        }
    }


    ~myMainWindow(){};
private:
    QPoint dragPosition;
};

int main(int argc, char **argv)
{
    QApplication app(argc, argv);
    myMainWindow *window = new myMainWindow();

        window->resize(600, 316);
    window->show();
    return app.exec();
}

