#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QPalette>
#include<QGridLayout>
#include <QPixmap>
#include <QBitmap>
#include <QPushButton>
#include <QMouseEvent>
MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
  //  ui->setupUi(this);
    setMask((new QPixmap("roflag.png"))->mask());


    QPalette* palette = new QPalette();
    palette->setBrush(QPalette::Background,QBrush(QPixmap("roflag.png")));
    setPalette(*palette);

   // setWindowFlags(Qt::FramelessWindowHint);
    QWidget *centralWidget = new QWidget(this);
    QGridLayout *layout = new QGridLayout();

    centralWidget->setLayout(layout);

    QPushButton* button1 = new QPushButton("Button 1");
    button1->setFixedSize(80,50);

    layout->addWidget(button1,0,0);

    setCentralWidget(centralWidget);

}
void MainWindow::mousePressEvent(QMouseEvent *event)
{
    if (event->button() == Qt::LeftButton) {
        dragPosition = event->globalPos() - frameGeometry().topLeft();
        event->accept();
    }
}
void MainWindow::mouseMoveEvent(QMouseEvent *event)
{
    if (event->buttons() & Qt::LeftButton) {
        move(event->globalPos() - dragPosition);
        event->accept();
    }
}

MainWindow::~MainWindow()
{
 //   delete ui;
}
